# Copyright (c) 2002-2008 Infrae. All rights reserved.
# See also LICENSE.txt
# $Id: setup.py 43862 2010-07-16 14:09:04Z sylvain $

from setuptools import setup, find_packages
import os

version = '2.9b1'

def product_readme(filename):
    return  open(os.path.join('Products', 'SilvaNews', filename)).read()


setup(name='Products.SilvaNews',
      version=version,
      description="News extension for Silva",
      long_description=product_readme("README.txt") + "\n" +
                       product_readme("HISTORY.txt"),

      classifiers=[
              "Framework :: Zope2",
              "Topic :: Internet :: WWW/HTTP :: Dynamic Content :: Message Boards",
              "Programming Language :: Python",
              "Topic :: Software Development :: Libraries :: Python Modules",
              ],
      keywords='news silva zope2',
      author='Infrae',
      author_email='info@infrae.com',
      url='http://infrae.com/products/silva',
      license='BSD',
      packages=find_packages(exclude=['ez_setup']),
      namespace_packages=['Products'],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
        'python-dateutil',
        'icalendar',
        'setuptools',
        'Products.Silva',
        'Products.Formulator',
        'Products.SilvaDocument',
        'Products.ParsedXML',
        'z3locales',
        'five.grok',
        'silva.core.conf',
        'silva.core.interfaces',
        'silva.core.services',
        ],
      entry_points = """
      [zodbupdate]
      renames = Products.SilvaNews:CLASS_CHANGES
      """
      )
